#
# spec file for package python-managesieve
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname  managesieve

Name:           python-managesieve
Version:        0.5
Release:        lp151.2.2
Summary:        Python Module Implementing the ManageSieve Protocol
License:        GPL-3.0+ and Python-2.0
Group:          Development/Libraries/Python
Url:            https://pythonhosted.org/managesieve/
Source:         https://pypi.python.org/packages/source/m/managesieve/managesieve-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE python-managesieve-remove-ez_setup.patch gber@opensuse.org -- Remove unnecessary ez_setup usage
Patch0:         python-managesieve-remove-ez_setup.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
python-managesieve is a Python module implementing the ManageSieve client
protocol. It also includes an user application (the interactive sieveshell).

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

# Fix URL
sed -i 's|http://packages.python.org/managesieve|%{url}|' setup.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{_bindir}/sieveshell
%{python_sitelib}/%{oname}.*
%{python_sitelib}/%{oname}-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Jul 13 2015 nemysis@gmx.ch
- license update: GPL-3.0+ No indication that this is GPL-3.0 (only)
- Change Url from PyPI to https://pythonhosted.org/managesieve/
- Use %%{oname} instead of managesieve
- Add sed, Fix URL
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Mar 24 2013 gber@opensuse.org
- update to version 0.5
  - sieveshell:
  - Changed default port for the MANAGESIEVE protocol to 4190 as
    proposed by RFC 5804. Thanks to Guido Berhoerster for
    submitting the patch.
  - Added option --port. Thanks to Damien Aumaitre for submitting
    the patch and to Guido Berhoerster for an enhancement.
  - Added option --verbose for controlling debug output in
    managesieve. May be given several times to increase
    verbosity.
  - managesieve
  - Switched to Python standard logging system. This introduces a
    minor interface change: MANAGESIEVE.debug and global Debug
    are gone. See source for information about debugging log
    levels.
- remove obsolete python-managesieve-add-port-to-sieveshell.patch
  and python-managesieve-default-port.patch
- sieveshell is now licensed under GPL-3.0
- added python-managesieve-remove-ez_setup.patch in order to remove
  unnecessary ez_setup usage
* Sun Mar 24 2013 gber@opensuse.org
- add python-managesieve-add-port-to-sieveshell.patch which adds
  a --port option to sieveshell for overriding the default port
  (bnc#811230)
- add python-managesieve-default-port.patch which changes the
  default port to 4190 as specified by RFC 5804
- update metadata
* Tue Jan 17 2012 saschpe@suse.de
- Update license to "GPL-2.0+ and Python-2.0" (bnc#741277)
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * BuildRequire python-distribute instead of setuptools
  * Removed %%clean section (has sane default)
  * Removed authors from description
  * Ran spec-cleaner
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Fri Nov 26 2010 gber@opensuse.org
- added separate changelog
* Fri Jan 22 2010 guido+opensuse.org@berhoerster.name
- Specified build dependencies more precisely
* Thu Jan  7 2010 guido+opensuse.org@berhoerster.name
- Update to version 0.4.2
  - includes the fix for socket.ssl deprecation warnings
* Wed Dec 30 2009 guido+opensuse.org@berhoerster.name
- Added patch to fix socket.ssl deprecation warnings on Python
  >= 2.6
* Thu Dec 24 2009 guido+opensuse.org@berhoerster.name
- initial packaging of python-managesieve
